Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# FLAC::Metadata::Iterator Class Reference
[FLAC++/metadata.h: metadata level 2 interface]

`#include <metadata.h>`

List of all members.

## Public Methods
| Iterator ()
virtual | ~Iterator ()
bool | is_valid () const
void | init (Chain &chain)
bool | next ()
bool | prev ()
::FLAC__MetadataType | get_block_type () const
Prototype * | get_block ()
bool | set_block (Prototype *block)
bool | delete_block (bool replace_with_padding)
bool | insert_block_before (Prototype *block)
bool | insert_block_after (Prototype *block)
## Protected Methods
virtual void | clear ()
## Protected Attributes
::FLAC__Metadata_Iterator * | iterator_

## Detailed Description

This class is a wrapper around the FLAC__metadata_iterator structures and methods; see FLAC__Metadata_Iterator.

The documentation for this class was generated from the following file:

- include/FLAC++/metadata.h